# boost::numeric::ublas::matrix_scalar_real_unary_functor< M > Struct Template Reference

Inherited by boost::numeric::ublas::matrix_norm_1< M >, boost::numeric::ublas::matrix_norm_frobenius< M >, and boost::numeric::ublas::matrix_norm_inf< M >.

List of all members.

## Public Types
typedef M::value_type | value_type
typedef type_traits < value_type >::real_type | real_type
typedef real_type | result_type

### template<class M>
struct boost::numeric::ublas::matrix_scalar_real_unary_functor< M >